﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace XamDataChartRangeSeriesCase
{
    public class ViewModel
    {
        public ObservableCollection<SampleData> Data { get;set; }
        double[] lows = { 1, 2, 3, 4, 5, 4, 3, 2, 1 };
        double[] highs = { 3, 4, 5, 6, 7, 6, 5, 4, 3 };

        public ViewModel()
        {
            Data = new ObservableCollection<SampleData>();

            
            for (int i = 0; i <lows.Length; i++)
            {
                Data.Add(new SampleData()
                {
                    Label = i.ToString(),
                    HighValue1 = highs[i],
                    HighValue2 = highs[i] * 2,
                    LowValue1 = lows[i],
                    LowValue2 = lows[i] * 2
                });
            }

            foreach (SampleData SD in Data)
            {
                SD.TrendValue1 = ((SD.HighValue1 + SD.LowValue1) / 2);
                SD.TrendValue2 = ((SD.HighValue2 + SD.LowValue2) / 2);
            }
        }
    }

    public class SampleData
    {
        public double HighValue1 { get; set; }
        public double HighValue2 { get; set; }
        public double LowValue1 { get; set; }
        public double LowValue2 { get; set; }
        public string Label { get; set; }
        public double TrendValue1 { get; set; }
        public double TrendValue2 { get; set; }



    }
}
